package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_COLUMN"
)
public class TcoreDiscoveryColumn extends TBaseEntity implements Serializable {
   private Date createtime;
   private Date updatetime;
   private String projectid;
   private String taskid;
   private String datasourceid;
   private String tschema;
   private String tablename;

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }
}
